aboutsummaryrefslogtreecommitdiffstats
path: root/package/hostapd/files
diff options
context:
space:
mode:
Diffstat (limited to 'package/hostapd/files')
-rw-r--r--package/hostapd/files/wpa_supplicant.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/package/hostapd/files/wpa_supplicant.sh b/package/hostapd/files/wpa_supplicant.sh
index ccf31baa90..97a00829da 100644
--- a/package/hostapd/files/wpa_supplicant.sh
+++ b/package/hostapd/files/wpa_supplicant.sh
@@ -6,7 +6,10 @@ wpa_supplicant_setup_vif() {
# wpa_supplicant should use wext for mac80211 cards
[ "$driver" = "mac80211" ] && driver='wext'
- # make sure we have the psk
+ # make sure we have the encryption type and the psk
+ [ -n "$enc" ] || {
+ config_get enc "$vif" encryption
+ }
[ -n "$key" ] || {
config_get key "$vif" key
}